#!/usr/bin/env python

import sys,re
from HTMLParser import HTMLParser

whitelist = set()

wlf=open('whitetagslist.txt')
line=wlf.readline()

while line !='':    
    whitelist.add(line[:len(line)-1])
    line = wlf.readline()

blacklist = set()

class MyHTMLParser(HTMLParser):

    def handle_starttag(self, tag, attrs):
        if tag not in whitelist:
            blacklist.add(str(tag))

    def handle_endtag(self, tag):
        pass


if len(sys.argv[:]) < 3:
    print "Incorrect number of arguments"
    sys.exit(-1)

try:
    infile = open(sys.argv[1], 'r')
    outfile = open(sys.argv[2], 'w')
except IOError:
    print "Cannot open file"

instr = infile.read()

parser = MyHTMLParser()
parser.feed(instr)

print blacklist

for x in list(blacklist)[:]:
    pattern = r'<' + str(x) + r'.*</' + str(x) + r'>' + r'(?s)'
    print pattern
    cpattern = re.compile(pattern)
    instr = re.sub(cpattern, '', instr)

for x in list(blacklist)[:]:
    pattern = r'<' + str(x) + r'.*>'# + r'(?s)'
    print pattern
    cpattern = re.compile(pattern)
    instr = re.sub(cpattern, '', instr)


outfile.write(instr)


